{
  "schema_version": "1.4.0",
  "id": "GHSA-jx4p-7rxf-f2v3",
  "modified": "2025-04-11T03:33:43Z",
  "published": "2022-05-02T03:26:16Z",
  "aliases": [
    "CVE-2009-1565"
  ],
  "details": "vmnc.dll in the VMnc media codec in VMware Movie Decoder before 6.5.4 Build 246459 on Windows, and the movie decoder in VMware Workstation 6.5.x before 6.5.4 build 246459, VMware Player 2.5.x before 2.5.4 build 246459, and VMware Server 2.x on Windows, allows remote attackers to execute arbitrary code via an AVI file with crafted HexTile-encoded video chunks that trigger heap-based buffer overflows, related to \"integer truncation errors.\"",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-1565"
    },
    {
      "type": "WEB",
      "url": "http://archives.neohapsis.com/archives/bugtraq/2010-04/0077.html"
    },
    {
      "type": "WEB",
      "url": "http://archives.neohapsis.com/archives/fulldisclosure/2010-04/0121.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.vmware.com/pipermail/security-announce/2010/000090.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/36712"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/39206"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/39215"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/secunia_research/2009-37"
    },
    {
      "type": "WEB",
      "url": "http://www.osvdb.org/63615"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/39364"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1023838"
    },
    {
      "type": "WEB",
      "url": "http://www.vmware.com/security/advisories/VMSA-2010-0007.html"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-04-12T18:30:00Z"
  }
}